package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.AmsPurchaseOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/amspurchaseorder")
public class AmsPurchaseOrderController extends BaseRESTfulController {

    @Autowired
    AmsPurchaseOrderServiceImpl amsPurchaseOrderService;

    /**
     * 采购订单管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "采购订单管理对接接口")
    @PostMapping("/operationPurchaseOrder")
    public int operationPurchaseOrder(@RequestBody Map<String, Object> mapVal) {
        int result = amsPurchaseOrderService.operationPurchaseOrder(mapVal);
        return result;
    }


}
