package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.TmstruckWeightResultServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/25 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/tmstruckweightresult")
public class TmstruckWeightResultController extends BaseRESTfulController {

    @Autowired
    TmstruckWeightResultServiceImpl tmstruckWeightResultService;

    /**
     * 接收计量实绩(计量实绩)
     *
     * @param mapValue
     * @return
     */
    @ApiModelProperty(value = "接收计量实绩")
    @PostMapping("/receiveTmsTruckWeightResult")
    public int receiveTmsTruckWeightResult(@RequestBody Map<String,Object> mapValue) {
        int result = tmstruckWeightResultService.receiveTmsTruckWeightResult(mapValue);
        return result;
    }


}
